# 정보 조회

## 서식 정보 조회&#x20;

<mark style="color:blue;">`GET`</mark> `https://docs.esignon.net/api/v2/docs/:documentId`

서식 id를 통해 서식의 상세 정보를 조회합니다.&#x20;

#### Path Parameters

| Name       | Type   | Description |
| ---------- | ------ | ----------- |
| documentId | string | 조회할 서식의 id  |

#### Query Parameters

| Name   | Type   | Description                                      |
| ------ | ------ | ------------------------------------------------ |
| offset | string | <p>UTC offset<br>±hh:mm 형식으로 입력 (기본값 +09:00)</p> |

#### Headers

| Name           | Type   | Description     |
| -------------- | ------ | --------------- |
| Authentication | string | esignon ${인증토큰} |

{% tabs %}
{% tab title="200 조회 성공" %}

```
{
    "header":{
        "response_code": "/api/v2/docs/:documentId",
        "result_code": "00",
        "result_msg": "Success",
        "session_id": ""
    },
    "body":{
        "doc_id": "{서식 id}",
        "doc_name": "{서식명}",
        "doc_type": "{서식 종류}",
        "creator": "{생성자}",
        "workflow_library_id": "{라이브러리 id}",
        "dir_type": "{폴더 종류}",
        "dir_path": "{폴더 위치}",
        "last_modifier": "{마지막 수정자}",
        "file_workflow_count": "{문서 작성자 수}",
        "last_modify_date": "{마지막 수정일}",
        "create_date": "{생성일}",
        "field_list":[    // 필드 목록
            {
                "action_id": "{단계 id}",
                "field_owner": "{필드명}",
                "email": "{이메일}",
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## Response

### **Status code**

| Code | Description | Reference                        |
| ---- | ----------- | -------------------------------- |
| 200  | 성공          | 형식이 잘못된 경우 header.result\_msg 참조 |
| 400  | 연결 실패       |                                  |

### Body

**header.result\_code**

| Code | Description | Reference                    |
| ---- | ----------- | ---------------------------- |
| 00   | 성공          | 성공                           |
| 10   | 실패          | 완성되지 않은 서식입니다.               |
| 11   | 실패          | 문서 정보 조회가 실패했습니다. id를 확인하세요. |

**body.doc\_type**

| Value    | Description |
| -------- | ----------- |
| WEBTYPE  | 비대면         |
| BULKTYPE | 대량발송        |
| FACEWEB  | 대면          |

**body.dir\_type**

| Value  | Description |
| ------ | ----------- |
| shared | 공유된 폴더      |
| biz    | 부서폴더        |
| my     | 내폴더         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/template/docinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
